com.sun.grid.jgdi.configuration.reflect

## Class InvalidObjectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sun.grid.jgdi.configuration.reflect.InvalidObjectException

- All Implemented Interfaces:
    java.io.Serializable

      public class InvalidObjectException
      extends java.lang.Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidObjectException(java.lang.Object obj)` Creates a new instance of `InvalidObjectException` without detail message.
    `InvalidObjectException(java.lang.Object obj, java.lang.String msg)` Constructs an instance of `InvalidObjectException` with the specified detail message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyError(java.lang.String propertyName, java.lang.String error)`
    `java.util.Set` | `getInvalidProperties()`
    `java.lang.String` | `getPropertyError(java.lang.String propertyName)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidObjectException

          public InvalidObjectException(java.lang.Object obj)

      Creates a new instance of `InvalidObjectException` without detail message.

    - #### InvalidObjectException

          public InvalidObjectException(java.lang.Object obj,
                                        java.lang.String msg)

      Constructs an instance of `InvalidObjectException` with the specified detail message.
      Parameters:
        `msg` - the detail message.

  - ### Method Detail

    - #### addPropertyError

          public void addPropertyError(java.lang.String propertyName,
                                       java.lang.String error)

    - #### getInvalidProperties

          public java.util.Set getInvalidProperties()

    - #### getPropertyError

          public java.lang.String getPropertyError(java.lang.String propertyName)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.